package io.zipcoder.casino.utilities;

import java.util.Scanner;

public class Console {

    public static void print(String output, Object... args) {
        System.out.printf(output, args);
    }

    public static void println(String output, Object... args) {
        print(output + "\n", args);
    }

    public static void printWcarrot(String output){
        System.out.println(output);
        System.out.print("> ");
    }


    public static String getStringInput(String prompt){
        Scanner scanner = new Scanner(System.in);
        println(prompt);
        String userInput = scanner.nextLine();
        return userInput;
      }
     public static Integer getIntegerInput(String prompt){
         Scanner scanner = new Scanner(System.in);
         println(prompt);
         int userInput = scanner.nextInt();
         return userInput;
     }
     public Integer integerInputSameLine(String prompt){
        Scanner scanner = new Scanner(System.in);
        printWcarrot(prompt);
        int userInput = scanner.nextInt();
        return userInput;
     }
     public static Long getLongInput(String prompt) {
         Scanner scanner = new Scanner(System.in);
         println(prompt);
         Long userInput = scanner.nextLong();
         return userInput;
     }
    public Double getDoubleInput(String prompt){
        Scanner scanner = new Scanner(System.in);
        println(prompt);
        double userInput = scanner.nextDouble() ;
        return userInput;
    }

    public Integer getGameChoice() {
        println("\n================");
        println("GAME LIST");
        println("----------------");
        println("1. CRAPS\n");
        println("2. BLACK JACK\n");
        println("================");
        return getIntegerInput("\nCHOOSE TABLE");
    }

    public void kickedOut() {

        System.out.print("                `!(z$$#####$%+!`                                                   `!!(\"t\"``.\n" +
                "             -*$$j\"+!!(!+*\"J$###j                                                  !\"\"!!.*\"\"#\"!.\n" +
                "           !3\"! !!I$3I\"!!!'   .!!$.                                             '\"(!' .$I(%*!*!#!\n" +
                "         !%!.!$#%(!              '3(             '                            `J\"         `''3\"!I\"\n" +
                "        (+.\"#3!'!(\"**!+!!!         !%.           $*                          .#!    !`!!!       .j#.\n" +
                "       .!!#\".!!!'                   `$'          !#    !                     ut  '!*!*!(\"*!    !#!`\"`\n" +
                "         $\"    .!!!(\"!!!`      '%##\"..$     .!    #.   $                     #(  !!!!!\"!!'`    \"!`..%\n" +
                "       `$(   !!\"!\"$&\"*\"!       3` !##!%      !\"   !\"   #                     #( $! !!+  `        ## %\n" +
                "       \"#'    !!*\"3%$#%!         .!'!'$       \"\"   %.  #   ` !'              +$ 3! !(`           !! $..\n" +
                "       %#'  '(!!!!($##$.         !#% `$'       !+  !(  z  !\".3##$(!          `$! !!.                J!!\"!\n" +
                "       !#\".\"!!!!!!.!!!`           !. .'!!!3.    \"!  %  * .3`  '%####j!!!!!!'` `$! '!(-      !!!`   .#(*!`\n" +
                "        %##`\"' -!!                  \"3!!!\"j.`(`  \"! .         `'\"#############$j#*        .$u!!!!!!j'\n" +
                "         \"#.! .\"!!            '!!    !$'.    !u-  !.      `!I#####################$'      !'\"!!'-!3\"\n" +
                "          \"$'  `.`!        !\"\"\"\"!!!!!!\"       `\"!       `\"##########################3!           \"\"`\n" +
                "           .\"$3\"\"I!       \"!\"\"(! !`!.+!.        '!.    `###############################\"!!.  `!(z!\n" +
                "             .%&.        .! +!!-.(!\"!' !(         \"!   \"####################################%!!.\n" +
                "               '3j!          `'!!`      # !3\"!.        I######################$#$$$%%#########$3!.\n" +
                "                !%!!!!`               .j( z .!$\"       !###################j\"!!-     '\"############\"!!   .+!\n" +
                "      '!\"3$#######%+'.!\"u\"!!'.` ..!!\"\"\"'.!+\"`  !#!      (########################3(.   `!$#############%\"%+(!!!!\n" +
                "   .*$###############$+'\"#J!!!!!!!!.   !(`! !!! .$!      '3#########################$(`   .!&#########!'(. !!!!!\n" +
                " .j######################\"$!!!!!!!!(*'`\"  \"!!``!..#(u!     `(3#########################\"`     '!&###$!!!  \"\"\"\"\"\"\n" +
                "'###########$##############( %#######!'!`!!`    !!.. %!        -!\"$######################!        .! \"\"! !!!!!!.\n" +
                "$########$'  $##############(!#######!!%!        3!!\"\"`(`          '\"#####################t            !$3*!!!'\n" +
                "#########'   .#######################$!          !!    !\"       !!   '$####################\"`!\"j#.      .\"%(\n" +
                "!#$!!'!!+\".   .\"##############    '$!           !(     '$ ' ``'! '+!.  (###################$('!\"!\n" +
                " !$!!!.   !\"!   !$############$.`((           '\"!       # !'.3 !I. -\"I. !####%!!!!%#####$\"!!!!.\n" +
                " !#        `%!   `\"#########$\"!'(`          -\"!  `I    `# .( !( `3!  .j% !!$.!\"!.  `$#\"!!!!\n" +
                " .#!      .#$`  !J#######3!- *.!          !(!    !!    !%  t  \"! `\"\"       '$%!     `\"!\"!\n" +
                "   !*((+\"\"!\". !$######$!    !''        !t\"!      %.    \"!  !!  J'  !%!                '!\n" +
                "            !#####%(!'$`            !j$*.       !*    '$    3  `\".  `\"!\n" +
                "           !\"\"!!!`    !#!`      '!\"J!!!'       !$    `z-    I   `u.   !z'\n" +
                "                       .\"##$$$#%('     \"      !$`    ('     !    `$.   `$!\n" +
                "                             !#`!      !!    !%`                  !#\n" +
                "                           .\"$' '*`    !!   \"*\n" +
                "                         '%%3`         %`  ``\n" +
                "                        .#'!!!!!.    `*!\n" +
                "                          !'!$(``'!\"(!\n" +
                "                             `!$%(!'(u`\n" +
                "                                '!!\"$$!\n");
        /*

                `!(z$$#####$%+!`                                                   `!!("t"``.
             -*$$j"+!!(!+*"J$###j                                                  !""!!.*""#"!.
           !3"! !!I$3I"!!!'   .!!$.                                             '"(!' .$I(%*!*!#!
         !%!.!$#%(!              '3(             '                            `J"         `''3"!I"
        (+."#3!'!("**!+!!!         !%.           $*                          .#!    !`!!!       .j#.
       .!!#".!!!'                   `$'          !#    !                     ut  '!*!*!("*!    !#!`"`
         $"    .!!!("!!!`      '%##"..$     .!    #.   $                     #(  !!!!!"!!'`    "!`..%
       `$(   !!"!"$&"*"!       3` !##!%      !"   !"   #                     #( $! !!+  `        ## %
       "#'    !!*"3%$#%!         .!'!'$       ""   %.  #   ` !'              +$ 3! !(`           !! $..
       %#'  '(!!!!($##$.         !#% `$'       !+  !(  z  !".3##$(!          `$! !!.                J!!"!
       !#"."!!!!!!.!!!`           !. .'!!!3.    "!  %  * .3`  '%####j!!!!!!'` `$! '!(-      !!!`   .#(*!`
        %##`"' -!!                  "3!!!"j.`(`  "! .         `'"#############$j#*        .$u!!!!!!j'
         "#.! ."!!            '!!    !$'.    !u-  !.      `!I#####################$'      !'"!!'-!3"
          "$'  `.`!        !""""!!!!!!"       `"!       `"##########################3!           ""`
           ."$3""I!       "!""(! !`!.+!.        '!.    `###############################"!!.  `!(z!
             .%&.        .! +!!-.(!"!' !(         "!   "####################################%!!.
               '3j!          `'!!`      # !3"!.        I######################$#$$$%%#########$3!.
                !%!!!!`               .j( z .!$"       !###################j"!!-     '"############"!!   .+!
      '!"3$#######%+'.!"u"!!'.` ..!!"""'.!+"`  !#!      (########################3(.   `!$#############%"%+(!!!!
   .*$###############$+'"#J!!!!!!!!.   !(`! !!! .$!      '3#########################$(`   .!&#########!'(. !!!!!
 .j######################"$!!!!!!!!(*'`"  "!!``!..#(u!     `(3#########################"`     '!&###$!!!  """"""
'###########$##############( %#######!'!`!!`    !!.. %!        -!"$######################!        .! ""! !!!!!!.
$########$'  $##############(!#######!!%!        3!!""`(`          '"#####################t            !$3*!!!'
#########'   .#######################$!          !!    !"       !!   '$####################"`!"j#.      ."%(
!#$!!'!!+".   ."##############    '$!           !(     '$ ' ``'! '+!.  (###################$('!"!
 !$!!!.   !"!   !$############$.`((           '"!       # !'.3 !I. -"I. !####%!!!!%#####$"!!!!.
 !#        `%!   `"#########$"!'(`          -"!  `I    `# .( !( `3!  .j% !!$.!"!.  `$#"!!!!
 .#!      .#$`  !J#######3!- *.!          !(!    !!    !%  t  "! `""       '$%!     `"!"!
   !*((+""!". !$######$!    !''        !t"!      %.    "!  !!  J'  !%!                '!
            !#####%(!'$`            !j$*.       !*    '$    3  `".  `"!
           !""!!!`    !#!`      '!"J!!!'       !$    `z-    I   `u.   !z'
                       ."##$$$#%('     "      !$`    ('     !    `$.   `$!
                             !#`!      !!    !%`                  !#
                           ."$' '*`    !!   "*
                         '%%3`         %`  ``
                        .#'!!!!!.    `*!
                          !'!$(``'!"(!
                             `!$%(!'(u`
                                '!!"$$!

         */
    }

//
//    public Integer getPlayersInput(String prompt){
//        Scanner scanner = new Scanner(System.in);
//        println(prompt);
//        int userInput = scanner.nextInt();
//        return userInput;
//
//    }
//
//     public String getPlayerName(String prompt)
//     {
//         Scanner scanner = new Scanner(System.in);
//         println(prompt);
//         String userInput = scanner.nextLine();
//         return userInput;
//     }

}
